package logic

import "git.milar.in/milarin/adverr"

var (
	ErrInvalidGlobSyntax         = adverr.NewErrTmpl("ErrInvalidGlobSyntax", "invalid filepath.Glob syntax: '%s'")
	ErrAnilistTokenNotObtainable = adverr.NewErrTmpl("ErrAnilistTokenNotObtainable", "neither ANILIST_TOKEN nor STORAGE_PATH provided")
	ErrAnimeListNotObtainable    = adverr.NewErrTmpl("ErrAnimeListNotObtainable", "anime list from anilist.co not obtainable (reason: %s)")
	ErrAnimeNotFound             = adverr.NewErrTmpl("ErrAnimeNotFound", "could not find anime with name '%s'")
	ErrInvalidStorageParams      = adverr.NewErrTmpl("ErrInvalidStorageParams", "STORAGE_USER or STORAGE_PASS not provided")
	ErrStorageRequestFailed      = adverr.NewErrTmpl("ErrStorageRequestFailed", "request to file storage could not be made")
	ErrInvalidAnimeStatus        = adverr.NewErrTmpl("ErrInvalidAnimeStatus", "invalid status '%s' in ANIME_STATUS (allowed: %s)")
)
